(function ($) {
    Drupal.behaviors.glitterShower = {
      attach: function (context, settings) {
        const glitterContainer = $('<div class="glitter-shower-container"></div>');
        $('body').append(glitterContainer);
        /**
         * Array of color options for the glitter particles
         *  YRGBVO
         */
        const glitterColors = [
          'rgba(255, 223, 0, 0.8)',
          'rgba(255, 0, 0, 0.8)',
          'rgba(0, 255, 0, 0.8)',
          'rgba(0, 0, 255, 0.8)',
          'rgba(238, 130, 238, 0.8)',
          'rgba(255, 165, 0, 0.8)'
        ];

        function createGlitter() {
          const glitter = $('<div class="glitter"></div>');
          const size = Math.random() * 10 + 5;
          const left = Math.random() * window.innerWidth;
          const top = Math.random() * window.innerHeight;

          const color = glitterColors[Math.floor(Math.random() * glitterColors.length)];

          glitter.css({
            'position': 'absolute',
            'width': size + 'px',
            'height': size + 'px',
            'background': color,
            'border-radius': '50%',
            'top': top + 'px',
            'left': left + 'px',
            'animation': 'glitter-animation ' + (Math.random() * 5 + 3) + 's ease-out infinite'
          });

          glitterContainer.append(glitter);

          setTimeout(() => glitter.remove(), 5000);
        }

        setInterval(createGlitter, 300);

        createGlitter();
      }
    };
})(jQuery);
